Bug 735263 - USB3 device can't be detected on USB2 hub
Summary: USB3 device can't be detected on USB2 hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: WANG Chao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 03:33 UTC by WANG Chao
Modified: 2015-02-08 21:42 UTC (History)
4 users (show)

Fixed In Version: kernel-2.6.32-206.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:28:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description WANG Chao 2011-09-02 03:33:09 UTC
Description of problem:
1st step:
Plug USB3 hub into USB3 root hub
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub

2nd step:
Plug USB2 hub into that USB3 hub.
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
 8-2            2109:3431 09  2.00 480MBit/s 100mA 1IFs () hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub

3nd step:
Attach a USB3 device to that USB2 hub.
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
 8-2            2109:3431 09  2.00 480MBit/s 100mA 1IFs () hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub

USB3 device wasn't been detected.

Split dmesg:
--- 1st Step ---
usb 8-2: new high speed USB device using xhci_hcd and address 2
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 8-2: New USB device found, idVendor=2109, idProduct=3431
usb 8-2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 8-2: Product: USB2.0 Hub
usb 8-2: configuration #1 chosen from 1 choice
hub 8-2:1.0: USB hub found
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
hub 8-2:1.0: 4 ports detected
usb 9-2: new SuperSpeed USB device using xhci_hcd and address 2
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 9-2: New USB device found, idVendor=2109, idProduct=0810
usb 9-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 9-2: Product: 4-Port USB 3.0 Hub
usb 9-2: Manufacturer: VIA Labs, Inc.
usb 9-2: configuration #1 chosen from 1 choice
hub 9-2:1.0: USB hub found
hub 9-2:1.0: 4 ports detected
--- 2nd Step ---
usb 8-2.1: new high speed USB device using xhci_hcd and address 3
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 8-2.1: New USB device found, idVendor=05e3, idProduct=0608
usb 8-2.1: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 8-2.1: Product: USB2.0 Hub
usb 8-2.1: configuration #1 chosen from 1 choice
hub 8-2.1:1.0: USB hub found
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
hub 8-2.1:1.0: 4 ports detected
--- 3rd Step ---
(Nothing more shows up)

Version-Release number of selected component (if applicable):
2.6.32-191.el6.x86_64

How reproducible:
Not every time

Steps to Reproduce:
1.as description
2.
3.
  
Actual results:
USB3 device wasn't detected

Expected results:
USB3 should work fine.

Additional info:
Final topology is USB3 root hub -> USB3 hub -> USB2 hub -> USB3 device
USB3 root hub is a TI PCI-E card

Comment 2 WANG Chao 2011-09-02 04:24:56 UTC
Change topology to 3 host port -> 2 hub -> 3 device
Works correctly as expect, no this issue found.

Comment 4 RHEL Product and Program Management 2011-09-27 13:01:16 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 5 Aristeu Rozanski 2011-10-05 15:33:23 UTC
Patch(es) available on kernel-2.6.32-206.el6

Comment 10 errata-xmlrpc 2011-12-06 14:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.